/*
orignalHashChangedFunc = null;
function hashDidChanged() {
	AndroidFunction.showToast(document.location.toString());
};
if(("onhashchange" in window) && ((typeof document.documentMode==="undefined")
		|| document.documentMode==8)) {
	if (null != window.onhashchange) {
	   orignalHashChangedFunc = window.onhashchange
	}
	window.onhashchange = hashDidChanged;
}
else {
}
*/

document.body.addEventListener('click',
    function(e) {
        var tHTML;
        var tText;
        var srcUrl;
        if (e.target.innerText || e.target.innerHTML) {
            var innerText = e.target.innerText.length > 80 ? e.target.innerText.substring(0, 80) + '...': e.target.innerText;
            var innerHTML = e.target.innerHTML.length > 80 ? e.target.innerHTML.substring(0, 80) + '...': e.target.innerHTML;
            tText = innerText || innerHTML;
        }
        if (e.target.src) {
            var url = e.target.src.length > 150 ? e.target.src.substring(0, 150) + '...': e.target.src;
            srcUrl = url;
        }
        var mergeObj = {
            eventType: '1',
            timeStamp: Date.now(),
            url: window.location.href,
            innerText: tText,
            nodeName: e.target.nodeName,
            srcUrl: srcUrl,
            pageX: e.pageX,
            pageY: e.pageY,
            title: document.title,
            cookie: document.cookie
        };
        AndroidFunction.zaCoreH5Statistics(JSON.stringify(mergeObj));
    },
true);
var urlObj = {
    eventType: '0',
    timeStamp: Date.now(),
    url: window.location.href,
    title: document.title
};
AndroidFunction.zaCoreH5Statistics(JSON.stringify(urlObj));
document.body.addEventListener('touchstart',
    function(e) {
        var touch = e.touches && e.touches.length > 0 && e.touches[0];
        var x1 = touch.clientX;
        var y1 = touch.clientY;
        var e1 = e;
        var urlObj = {
            eventType: '2',
            timeStamp: Date.now(),
            url: window.location.href,
            startX: x1,
            startY: y1,
            title: document.title
        };
        AndroidFunction.zaCoreH5Statistics(JSON.stringify(urlObj));
    }
);
document.body.addEventListener('touchend',
    function(e) {
        var touch = e.changedTouches && e.changedTouches.length > 0 && e.changedTouches[0];
        var x2 = touch.clientX;
        var y2 = touch.clientY;
        var e1 = e;
        var urlObj = {
            eventType: '3',
            timeStamp: Date.now(),
            url: window.location.href,
            toX: x2,
            toY: y2,
            title: document.title
        };
    AndroidFunction.zaCoreH5Statistics(JSON.stringify(urlObj));
    }
);